<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <RootNamespace>PSCHelpdesk.Plugins.Nextcloud</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Avalonia" Version="11.2.0" Private="false">
      </PackageReference>
      <PackageReference Include="Avalonia.ReactiveUI" Version="11.2.0" Private="false">

      </PackageReference>
      <PackageReference Include="Avalonia.Xaml.Behaviors" Version="11.2.0" Private="false">

      </PackageReference>
      <PackageReference Include="Avalonia.Xaml.Interactivity" Version="11.2.0" Private="false">

      </PackageReference>
      <PackageReference Include="Markdown.Avalonia" Version="11.0.2" />
      <PackageReference Include="Newtonsoft.Json" Version="13.0.3" Private="false" />
      <PackageReference Include="RestSharp" Version="112.1.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Shared\Shared.csproj" Private="false" />
    </ItemGroup>

    <ItemGroup>
      <Reference Include="CommunityToolkit.Mvvm">
        <HintPath>..\..\..\.nuget\packages\communitytoolkit.mvvm\8.3.2\lib\net8.0\CommunityToolkit.Mvvm.dll</HintPath>
      </Reference>
    </ItemGroup>

    <Target Name="PreBuild" BeforeTargets="PreBuildEvent">
        
    </Target>

</Project>
